Package: org.grails.plugins.core

## [Java] Class CoreConfiguration

- org.grails.plugins.core.CoreConfiguration

- All Implemented Interfaces and Traits:
    io.micronaut.context.event.ApplicationEventListener

      @io.micronaut.context.annotation.Factory
      public class CoreConfiguration
      extends java.lang.Object
      implements io.micronaut.context.event.ApplicationEventListener

  Core beans.

  Authors:
    graemerocher
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ConfigurableApplicationContext` | `childContext` |
    `private GrailsApplication` | `grailsApplication` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CoreConfiguration (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.ClassLoader` | `classLoader()`
    `` | `ConfigProperties` | `configProperties()`
    `` | `public org.springframework.context.ConfigurableApplicationContext` | `getChildContext()`
    `` | `public void` | `onApplicationEvent(io.micronaut.context.event.ShutdownEvent event)`
    `` | `public void` | `setChildContext(org.springframework.context.ConfigurableApplicationContext childContext)` Sets the child Spring context.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ConfigurableApplicationContext childContext

    - #### private final GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public CoreConfiguration(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @org.springframework.context.annotation.Bean("classLoader") @org.springframework.context.annotation.Primary java.lang.ClassLoader classLoader()

    - #### @org.springframework.context.annotation.Bean("grailsConfigProperties") @org.springframework.context.annotation.Primary ConfigProperties configProperties()

    - #### public org.springframework.context.ConfigurableApplicationContext getChildContext()

    - #### @java.lang.Override public void onApplicationEvent(io.micronaut.context.event.ShutdownEvent event)

    - #### public void setChildContext(org.springframework.context.ConfigurableApplicationContext childContext)

      Sets the child Spring context.

      Parameters:
        `childContext` - The child context